Skip to main content
POST

Create webhook

POST /api/webhook-configs Create a new webhook configuration to receive real-time event notifications.

Headers

Session cookie (login via POST /api/auth/login)
string
required
HTTPS URL to receive webhook payloads
string[]
required
Events to subscribe to
string
Scope to a specific channel
string
Secret for payload verification

Webhook payload format

Webhook verification

Webhooks include a signature header for verification:
Verify using HMAC-SHA256 with your webhook secret.